//+------------------------------------------------------------------+
//|                                                        MyInd.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      "szm@pictaa.com"

#property  indicator_separate_window
#property  indicator_buffers 1
#property  indicator_color1  Blue
 
extern int period=10;

double         ExtBuffer0[];


int init()
  {
   SetIndexStyle(0,DRAW_LINE);
   IndicatorDigits(Digits+1);

   SetIndexBuffer(0,ExtBuffer0);

   IndicatorShortName("MyInd");

   return(0);
  }


int start()
  {
   int    limit;
   int    counted_bars=IndicatorCounted();
   double prev,prev1,current,old;
   double Value=0,Value1=0,Value2=0,Fish=0,Fish1=0,Fish2=0;
   double price;
   double MinL=0;
   double MaxH=0;  
   
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   static datetime prevtime=0;
   
   if(prevtime == Time[0]) return(0);
   prevtime = Time[0];

   for(int i=0; i<limit; i++)
   {  
      MaxH = High[Highest(NULL,0,MODE_HIGH,period,i)];
      MinL = Low[Lowest(NULL,0,MODE_LOW,period,i)];
      price = (High[i]+Low[i])/2;
      Value = 0.33*2*((price-MinL)/(MaxH-MinL)-0.5) + 0.67*Value1;     
      Value=MathMin(MathMax(Value,-0.999),0.999); 
      ExtBuffer0[i]=0.5*MathLog((1+Value)/(1-Value))+0.5*Fish1;
      Value1=Value;
      Fish1=ExtBuffer0[i];
   }
   
   Print("IND: Curr=",ExtBuffer0[1],"; Prev=",ExtBuffer0[2]);
   Print("IND: Curr_1=",ExtBuffer0[3],"; Prev_1=",ExtBuffer0[4]);

   return(0);
  }
  